Summary: ITC Garamond in T1 encoding, Czech characters revisited.
Name: itcgaramond
Version: 1.0
Release: 1
Copyright: distributable
Group: Applications/Publishing/TeX
Requires: tetex
Source: itcgaramond.tar.gz
Packager: Jan "Yenya" Kasprzak <kas@muni.cz>

%description
This package contains tfm and vf files for typesetting Czech text
in ITC Garamond fonts. These tfm and vf files are different
from those in teTeX package -- accents on some characters were
revisited to match the Czech typographical rules better.

%prep

%setup -n itcgaramond

%build
/bin/true

%install

test -d /usr/lib/texmf/texmf/fonts/vf/itc/garamond \
	|| mkdir -p /usr/lib/texmf/texmf/fonts/vf/itc/garamond
cp vf/*.vf /usr/lib/texmf/texmf/fonts/vf/itc/garamond
test -d /usr/lib/texmf/texmf/fonts/tfm/itc/garamond \
	|| mkdir -p /usr/lib/texmf/texmf/fonts/tfm/itc/garamond
cp tfm/*.tfm /usr/lib/texmf/texmf/fonts/tfm/itc/garamond

%post
texhash
echo -n "Updating psfonts.map ..."
awk '	$1 == "igmr" { next }
	$1 == "igmri" { next }
	$1 == "igmro" { next }
	$1 == "igmru" { next }
	$1 == "igmb" { next }
	$1 == "igmbi" { next }
	$1 == "igmbo" { next }
	$1 == "igmbu" { next }
	{ print }
END {
	print "igmr	GaramondITCbyBT-Book			<igmr8a.pfb"
	print "igmri	GaramondITCbyBT-BookItalic		<igmri8a.pfb"
	print "igmro	GaramondITCbyBT-Book	\".296 SlantFont\"	<igmr8a.pfb"
	print "igmru	GaramondITCbyBT-BookItalic	\"-.296 SlantFont\"	<igmri8a.pfb"
	print "igmb	GaramondITCbyBT-Bold			<igmb8a.pfb"
	print "igmbi	GaramondITCbyBT-BoldItalic		<igmbi8a.pfb"
	print "igmbo	GaramondITCbyBT-Bold	\".296 SlantFont\"	<igmb8a.pfb"
	print "igmbu	GaramondITCbyBT-BoldItalic	\"-.296 SlantFont\"	<igmbi8a.pfb"
}' </usr/lib/texmf/texmf/dvips/psfonts.map >/usr/lib/texmf/texmf/dvips/psfonts.map.new
mv /usr/lib/texmf/texmf/dvips/psfonts.map /tmp/psfonts.map
mv /usr/lib/texmf/texmf/dvips/psfonts.map.new /usr/lib/texmf/texmf/dvips/psfonts.map
echo " Done. Original psfonts.map saved as /tmp/psfonts.map."

%postun
/usr/bin/texhash
echo -n "Updating psfonts.map ..."
awk '   $1 == "igmr" { next }
        $1 == "igmri" { next }
        $1 == "igmro" { next }
        $1 == "igmru" { next }
        $1 == "igmb" { next }
        $1 == "igmbi" { next }
        $1 == "igmbo" { next }
        $1 == "igmbu" { next }
        { print }
' </usr/lib/texmf/texmf/dvips/psfonts.map >/usr/lib/texmf/texmf/dvips/psfonts.map.new
mv /usr/lib/texmf/texmf/dvips/psfonts.map /tmp/psfonts.map
mv /usr/lib/texmf/texmf/dvips/psfonts.map.new /usr/lib/texmf/texmf/dvips/psfonts.map
echo " Done. Original psfonts.map saved as /tmp/psfonts.map."

%files
/usr/lib/texmf/texmf/fonts/tfm/itc/garamond/igmb.tfm
/usr/lib/texmf/texmf/fonts/tfm/itc/garamond/igmbcq.tfm
/usr/lib/texmf/texmf/fonts/tfm/itc/garamond/igmbi.tfm
/usr/lib/texmf/texmf/fonts/tfm/itc/garamond/igmbiq.tfm
/usr/lib/texmf/texmf/fonts/tfm/itc/garamond/igmbo.tfm
/usr/lib/texmf/texmf/fonts/tfm/itc/garamond/igmboq.tfm
/usr/lib/texmf/texmf/fonts/tfm/itc/garamond/igmbq.tfm
/usr/lib/texmf/texmf/fonts/tfm/itc/garamond/igmbu.tfm
/usr/lib/texmf/texmf/fonts/tfm/itc/garamond/igmbuq.tfm
/usr/lib/texmf/texmf/fonts/tfm/itc/garamond/igmr.tfm
/usr/lib/texmf/texmf/fonts/tfm/itc/garamond/igmrcq.tfm
/usr/lib/texmf/texmf/fonts/tfm/itc/garamond/igmri.tfm
/usr/lib/texmf/texmf/fonts/tfm/itc/garamond/igmriq.tfm
/usr/lib/texmf/texmf/fonts/tfm/itc/garamond/igmro.tfm
/usr/lib/texmf/texmf/fonts/tfm/itc/garamond/igmroq.tfm
/usr/lib/texmf/texmf/fonts/tfm/itc/garamond/igmrq.tfm
/usr/lib/texmf/texmf/fonts/tfm/itc/garamond/igmru.tfm
/usr/lib/texmf/texmf/fonts/tfm/itc/garamond/igmruq.tfm
/usr/lib/texmf/texmf/fonts/vf/itc/garamond/igmbcq.vf
/usr/lib/texmf/texmf/fonts/vf/itc/garamond/igmbiq.vf
/usr/lib/texmf/texmf/fonts/vf/itc/garamond/igmboq.vf
/usr/lib/texmf/texmf/fonts/vf/itc/garamond/igmbq.vf
/usr/lib/texmf/texmf/fonts/vf/itc/garamond/igmbuq.vf
/usr/lib/texmf/texmf/fonts/vf/itc/garamond/igmrcq.vf
/usr/lib/texmf/texmf/fonts/vf/itc/garamond/igmriq.vf
/usr/lib/texmf/texmf/fonts/vf/itc/garamond/igmroq.vf
/usr/lib/texmf/texmf/fonts/vf/itc/garamond/igmrq.vf
/usr/lib/texmf/texmf/fonts/vf/itc/garamond/igmruq.vf
